<h1>Historial Paciente</h1>
<mat-form-field >
    <mat-label>Filter</mat-label>
    <input matInput placeholder="Search columns" #input 
    (keyup)="applyFilter($event)">
</mat-form-field>
<table mat-table [dataSource]="datasources" class="mat-elevation-z8">

    <ng-container matColumnDef="id_ficha">
        <th mat-header-cell *matHeaderCellDef> id_ficha </th>
        <td mat-cell *matCellDef="let element"> {{element.id_ficha}} </td>
    </ng-container>

    <ng-container matColumnDef="id_detalle">
        <th mat-header-cell *matHeaderCellDef> id_detalle </th>
        <td mat-cell *matCellDef="let element"> {{element.id_detalle}} </td>
    </ng-container>

    <ng-container matColumnDef="fecha_detalle">
        <th mat-header-cell *matHeaderCellDef> fecha_detalle </th>
        <td mat-cell *matCellDef="let element"> {{element.fecha_detalle}} </td>
    </ng-container>

    <ng-container matColumnDef="nombre_medico">
        <th mat-header-cell *matHeaderCellDef> nombre_medico </th>
        <td mat-cell *matCellDef="let element"> {{element.nombre_medico}} </td>
    </ng-container>
    <ng-container matColumnDef="apellido_medico">
        <th mat-header-cell *matHeaderCellDef> apellido_medico </th>
        <td mat-cell *matCellDef="let element"> {{element.apellido_medico}} </td>
    </ng-container>
    <ng-container matColumnDef="especialidad">
        <th mat-header-cell *matHeaderCellDef> especialidad </th>
        <td mat-cell *matCellDef="let element"> {{element.especialidad}} </td>
    </ng-container>
    <ng-container matColumnDef="nombre_paciente">
        <th mat-header-cell *matHeaderCellDef> nombre_paciente </th>
        <td mat-cell *matCellDef="let element"> {{element.nombre_paciente}} </td>
    </ng-container>
    <ng-container matColumnDef="apellido_paciente">
        <th mat-header-cell *matHeaderCellDef> apellido_paciente </th>
        <td mat-cell *matCellDef="let element"> {{element.apellido_paciente}} </td>
    </ng-container>
    <ng-container matColumnDef="motivo">
        <th mat-header-cell *matHeaderCellDef> motivo </th>
        <td mat-cell *matCellDef="let element"> {{element.motivo}} </td>
    </ng-container>
    <ng-container matColumnDef="diagnostico">
        <th mat-header-cell *matHeaderCellDef> diagnostico </th>
        <td mat-cell *matCellDef="let element"> {{element.diagnostico}} </td>
    </ng-container>
    <ng-container matColumnDef="tratamiento">
        <th mat-header-cell *matHeaderCellDef> tratamiento </th>
        <td mat-cell *matCellDef="let element"> {{element.tratamiento}} </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>